## eclipse-platform-ui 4.7.3

=== debian/changelog ===
eclipse-platform-ui (4.7.3-1) unstable; urgency=medium

  * Initial release (Closes: #903658)

 -- Emmanuel Bourg <ebourg@apache.org>  Thu, 12 Jul 2018 22:56:27 +0200
