=== debian/control ===
Source: eclipse-platform-ui
Section: java
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Emmanuel Bourg <ebourg@apache.org>
Build-Depends:
 debhelper (>= 11~),
 default-jdk,
 libcommons-jxpath-java,
 libeclipse-core-expressions-java,
 libeclipse-osgi-java,
 libeclipse-e4-core-contexts-java,
 libeclipse-e4-core-services-java,
 libeclipse-e4-core-di-java,
 libeclipse-e4-core-di-annotations-java,
 libequinox-bidi-java,
 libequinox-common-java,
 libicu4j-java,
 libswt-gtk-4-java,
 eclipse-debian-helper
Standards-Version: 4.1.5
Vcs-Git: https://salsa.debian.org/java-team/eclipse-platform-ui.git
Vcs-Browser: https://salsa.debian.org/java-team/eclipse-platform-ui
Homepage: https://www.eclipse.org/eclipse/platform-ui/

Package: libeclipse-core-commands-java
Architecture: all
Depends: ${misc:Depends}, ${bundle:Depends}
Description: Eclipse Commands
 The Eclipse Platform UI project is responsible for the runtime, user interface
 and help components of Eclipse. Platform UI provides the basic building blocks
 to create the Eclipse IDE and other Eclipse based applications called Rich
 Client Platform (RCP).
 .
 This package contains the org.eclipse.core.commands bundle.

Package: libeclipse-core-databinding-java
Architecture: all
Depends: ${misc:Depends}, ${bundle:Depends}, libicu4j-java, libequinox-common-java
Description: Eclipse JFace Data Binding
 The Eclipse Platform UI project is responsible for the runtime, user interface
 and help components of Eclipse. Platform UI provides the basic building blocks
 to create the Eclipse IDE and other Eclipse based applications called Rich
 Client Platform (RCP).
 .
 This package contains the org.eclipse.core.databinding bundle.

Package: libeclipse-core-databinding-beans-java
Architecture: all
Depends: ${misc:Depends}, ${bundle:Depends}, libequinox-common-java
Description: Eclipse JFace Data Binding for JavaBeans
 The Eclipse Platform UI project is responsible for the runtime, user interface
 and help components of Eclipse. Platform UI provides the basic building blocks
 to create the Eclipse IDE and other Eclipse based applications called Rich
 Client Platform (RCP).
 .
 This package contains the org.eclipse.core.databinding.beans bundle.

Package: libeclipse-core-databinding-observable-java
Architecture: all
Depends: ${misc:Depends}, ${bundle:Depends}, libequinox-common-java
Description: Eclipse JFace Data Binding Observables
 The Eclipse Platform UI project is responsible for the runtime, user interface
 and help components of Eclipse. Platform UI provides the basic building blocks
 to create the Eclipse IDE and other Eclipse based applications called Rich
 Client Platform (RCP).
 .
 This package contains the org.eclipse.core.databinding.observable bundle.

Package: libeclipse-core-databinding-property-java
Architecture: all
Depends: ${misc:Depends}, ${bundle:Depends}
Description: Eclipse JFace Data Binding Properties
 The Eclipse Platform UI project is responsible for the runtime, user interface
 and help components of Eclipse. Platform UI provides the basic building blocks
 to create the Eclipse IDE and other Eclipse based applications called Rich
 Client Platform (RCP).
 .
 This package contains the org.eclipse.core.property bundle.

Package: libeclipse-e4-core-commands-java
Architecture: all
Depends:
 ${misc:Depends},
 ${bundle:Depends},
 libeclipse-core-expressions-java,
 libeclipse-e4-core-di-java,
 libeclipse-e4-core-di-annotations-java,
 libeclipse-e4-core-contexts-java,
 libeclipse-e4-core-services-java,
 libequinox-common-java
Description: Eclipse e4 core commands
 The Eclipse Platform UI project is responsible for the runtime, user interface
 and help components of Eclipse. Platform UI provides the basic building blocks
 to create the Eclipse IDE and other Eclipse based applications called Rich
 Client Platform (RCP).
 .
 This package contains the org.eclipse.e4.core.commands bundle.
