## eclipse-platform-ui 4.9

=== debian/changelog ===
eclipse-platform-ui (4.9-1~18.04) bionic; urgency=medium

  * Backport for OpenJDK 11. LP: #1817567.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 07 Mar 2019 10:39:49 +0100

eclipse-platform-ui (4.9-1) unstable; urgency=medium

  * New upstream release
    - Refreshed the patch
    - Depend on libswt-gtk-4-java (>= 4.9)
    - Build the new org.eclipse.urischeme bundle
    - The license changed to EPL-2.0

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 03 Dec 2018 12:14:01 +0100

eclipse-platform-ui (4.8-1) unstable; urgency=medium

  * New upstream release
    - Depend on libeclipse-e4-core-contexts-java (>= 1.7.0)
    - Updated the bundle dependencies
    - Updated debian/copyright

 -- Emmanuel Bourg <ebourg@apache.org>  Wed, 28 Nov 2018 00:56:28 +0100

eclipse-platform-ui (4.7.3-5) unstable; urgency=medium

  * Fixed the dependencies of libeclipse-e4-ui-workbench-swt-java

 -- Emmanuel Bourg <ebourg@apache.org>  Thu, 01 Nov 2018 23:53:17 +0100

eclipse-platform-ui (4.7.3-4) unstable; urgency=medium

  * Build more bundles:
    - org.eclipse.e4.ui.progress
    - org.eclipse.ui
    - org.eclipse.ui.browser
    - org.eclipse.ui.ide
    - org.eclipse.ui.ide.application
    - org.eclipse.ui.monitoring
    - org.eclipse.ui.navigator
    - org.eclipse.ui.views
    - org.eclipse.ui.views.properties.tabbed
  * Depend on xml-apis-1.4.01.jar instead of xml-apis.jar
  * Added the missing dependencies for:
    - libeclipse-ui-forms-java
    - libeclipse-ui-workbench-java
    - libeclipse-e4-ui-model-workbench-java
    - libeclipse-e4-ui-workbench-java
    - libeclipse-e4-ui-workbench3-java
    - libeclipse-e4-ui-workbench-addons-swt-java
    - libeclipse-e4-ui-workbench-renderers-swt-java
    - libeclipse-e4-ui-workbench-swt-java
  * Fixed the description of libeclipse-e4-ui-workbench-swt-java

 -- Emmanuel Bourg <ebourg@apache.org>  Thu, 25 Oct 2018 23:11:08 +0200

eclipse-platform-ui (4.7.3-3) unstable; urgency=medium

  [ Emmanuel Bourg ]
  * Fixed debian/watch

  [ Jochen Sprickerhof ]
  * Package org.eclipse.ui.forms and it's dependencies
  * Remove unpackaged dependency (Closes: #910836)

 -- Emmanuel Bourg <ebourg@apache.org>  Fri, 19 Oct 2018 15:13:16 +0200

eclipse-platform-ui (4.7.3-2) unstable; urgency=medium

  * Build more bundles:
    - org.eclipse.jface
    - org.eclipse.jface.databinding
    - org.eclipse.e4.ui.bindings
    - org.eclipse.e4.ui.css.core
    - org.eclipse.e4.ui.css.swt
    - org.eclipse.e4.ui.css.swt.theme
    - org.eclipse.e4.ui.di
    - org.eclipse.e4.ui.dialogs
    - org.eclipse.e4.ui.services
    - org.eclipse.e4.ui.swt.gtk
    - org.eclipse.e4.ui.widgets
  * Standards-Version updated to 4.2.1

 -- Emmanuel Bourg <ebourg@apache.org>  Tue, 25 Sep 2018 14:36:03 +0200
