=== debian/control ===
--- 
+++ 
@@ -6,19 +6,41 @@
 Build-Depends:
  debhelper (>= 11~),
  default-jdk,
+ eclipse-debian-helper,
+ libatinject-jsr330-api-java,
  libcommons-jxpath-java,
+ libeclipse-core-commands-java,
+ libeclipse-core-contenttype-java,
  libeclipse-core-expressions-java,
+ libeclipse-core-filesystem-java,
+ libeclipse-core-jobs-java,
+ libeclipse-core-net-java,
+ libeclipse-core-resources-java,
+ libeclipse-core-runtime-java,
+ libeclipse-e4-core-contexts-java (>= 1.7.0),
+ libeclipse-e4-core-di-annotations-java,
+ libeclipse-e4-core-di-extensions-java,
+ libeclipse-e4-core-di-extensions-supplier-java,
+ libeclipse-e4-core-di-java,
+ libeclipse-e4-core-services-java,
+ libeclipse-emf-ecore-xmi-java,
+ libeclipse-help-java,
+ libeclipse-jface-text-java,
  libeclipse-osgi-java,
- libeclipse-e4-core-contexts-java,
- libeclipse-e4-core-services-java,
- libeclipse-e4-core-di-java,
- libeclipse-e4-core-di-annotations-java,
+ libeclipse-osgi-services-java,
+ libequinox-app-java,
  libequinox-bidi-java,
  libequinox-common-java,
+ libequinox-p2-engine-java,
+ libequinox-p2-metadata-java,
+ libequinox-preferences-java,
+ libequinox-registry-java,
+ libgeronimo-osgi-support-java,
  libicu4j-java,
- libswt-gtk-4-java,
- eclipse-debian-helper
-Standards-Version: 4.1.5
+ libjaxb-java,
+ libswt-gtk-4-java (>= 4.9),
+ libxml-commons-external-java
+Standards-Version: 4.2.1
 Vcs-Git: https://salsa.debian.org/java-team/eclipse-platform-ui.git
 Vcs-Browser: https://salsa.debian.org/java-team/eclipse-platform-ui
 Homepage: https://www.eclipse.org/eclipse/platform-ui/
@@ -84,9 +106,9 @@
  ${misc:Depends},
  ${bundle:Depends},
  libeclipse-core-expressions-java,
- libeclipse-e4-core-di-java,
- libeclipse-e4-core-di-annotations-java,
- libeclipse-e4-core-contexts-java,
+ libeclipse-e4-core-contexts-java,
+ libeclipse-e4-core-di-java,
+ libeclipse-e4-core-di-annotations-java,
  libeclipse-e4-core-services-java,
  libequinox-common-java
 Description: Eclipse e4 core commands
@@ -96,3 +118,211 @@
  Client Platform (RCP).
  .
  This package contains the org.eclipse.e4.core.commands bundle.
+
+Package: libeclipse-e4-emf-xpath-java
+Architecture: all
+Depends: ${misc:Depends}, ${bundle:Depends}
+Description: Eclipse EMF XPath
+ The Eclipse Platform UI project is responsible for the runtime, user interface
+ and help components of Eclipse. Platform UI provides the basic building blocks
+ to create the Eclipse IDE and other Eclipse based applications called Rich
+ Client Platform (RCP).
+ .
+ This package contains the org.eclipse.e4.emf.xpath bundle.
+
+Package: libeclipse-e4-ui-bindings-java
+Architecture: all
+Depends:
+ ${misc:Depends},
+ ${bundle:Depends},
+ libatinject-jsr330-api-java,
+ libeclipse-e4-core-contexts-java,
+ libeclipse-e4-core-di-java,
+ libeclipse-e4-core-di-annotations-java,
+ libeclipse-e4-core-services-java,
+ libswt-gtk-4-java (>= 4.7.3)
+Description: Eclipse Bindings Support
+ The Eclipse Platform UI project is responsible for the runtime, user interface
+ and help components of Eclipse. Platform UI provides the basic building blocks
+ to create the Eclipse IDE and other Eclipse based applications called Rich
+ Client Platform (RCP).
+ .
+ This package contains the org.eclipse.e4.ui.bindings bundle.
+
+Package: libeclipse-e4-ui-css-core-java
+Architecture: all
+Depends:
+ ${misc:Depends},
+ ${bundle:Depends},
+ libequinox-common-java,
+ libequinox-registry-java,
+ libxml-commons-external-java
+Description: Eclipse CSS Core Support
+ The Eclipse Platform UI project is responsible for the runtime, user interface
+ and help components of Eclipse. Platform UI provides the basic building blocks
+ to create the Eclipse IDE and other Eclipse based applications called Rich
+ Client Platform (RCP).
+ .
+ This package contains the org.eclipse.e4.ui.css.core bundle.
+
+Package: libeclipse-e4-ui-css-swt-java
+Architecture: all
+Depends:
+ ${misc:Depends},
+ ${bundle:Depends},
+ libeclipse-core-runtime-java,
+ libequinox-common-java,
+ libequinox-preferences-java,
+ libequinox-registry-java,
+ libswt-gtk-4-java (>= 4.7.3),
+ libxml-commons-external-java
+Description: Eclipse CSS SWT Support
+ The Eclipse Platform UI project is responsible for the runtime, user interface
+ and help components of Eclipse. Platform UI provides the basic building blocks
+ to create the Eclipse IDE and other Eclipse based applications called Rich
+ Client Platform (RCP).
+ .
+ This package contains the org.eclipse.e4.ui.css.swt bundle.
+
+Package: libeclipse-e4-ui-css-swt-theme-java
+Architecture: all
+Depends:
+ ${misc:Depends},
+ ${bundle:Depends},
+ libeclipse-core-runtime-java,
+ libequinox-common-java,
+ libequinox-preferences-java,
+ libequinox-registry-java,
+ libeclipse-osgi-services-java,
+ libswt-gtk-4-java (>= 4.7.3),
+ libxml-commons-external-java
+Description: Eclipse CSS SWT Theme Support
+ The Eclipse Platform UI project is responsible for the runtime, user interface
+ and help components of Eclipse. Platform UI provides the basic building blocks
+ to create the Eclipse IDE and other Eclipse based applications called Rich
+ Client Platform (RCP).
+ .
+ This package contains the org.eclipse.e4.ui.css.swt.theme bundle.
+
+Package: libeclipse-e4-ui-di-java
+Architecture: all
+Depends:
+ ${misc:Depends},
+ ${bundle:Depends},
+ libatinject-jsr330-api-java,
+ libeclipse-e4-core-contexts-java,
+ libeclipse-e4-core-di-java,
+ libeclipse-e4-core-di-annotations-java,
+ libeclipse-e4-core-di-extensions-supplier-java,
+ libeclipse-osgi-services-java
+Description: Eclipse UI Dependency Injection
+ The Eclipse Platform UI project is responsible for the runtime, user interface
+ and help components of Eclipse. Platform UI provides the basic building blocks
+ to create the Eclipse IDE and other Eclipse based applications called Rich
+ Client Platform (RCP).
+ .
+ This package contains the org.eclipse.e4.ui.di bundle.
+
+Package: libeclipse-e4-ui-dialogs-java
+Architecture: all
+Depends:
+ ${misc:Depends},
+ ${bundle:Depends},
+ libeclipse-core-jobs-java,
+ libequinox-common-java,
+ libicu4j-java,
+ libswt-gtk-4-java (>= 4.7.3)
+Description: Eclipse e4 dialogs
+ The Eclipse Platform UI project is responsible for the runtime, user interface
+ and help components of Eclipse. Platform UI provides the basic building blocks
+ to create the Eclipse IDE and other Eclipse based applications called Rich
+ Client Platform (RCP).
+ .
+ This package contains the org.eclipse.e4.ui.dialogs bundle.
+
+Package: libeclipse-e4-ui-model-workbench-java
+Architecture: all
+Depends:
+ ${misc:Depends},
+ ${bundle:Depends},
+ libeclipse-core-runtime-java,
+ libeclipse-e4-core-contexts-java,
+ libeclipse-e4-core-services-java,
+ libeclipse-emf-common-java,
+ libeclipse-emf-ecore-java,
+ libequinox-common-java
+Description: Eclipse Workbench Model
+ The Eclipse Platform UI project is responsible for the runtime, user interface
+ and help components of Eclipse. Platform UI provides the basic building blocks
+ to create the Eclipse IDE and other Eclipse based applications called Rich
+ Client Platform (RCP).
+ .
+ This package contains the org.eclipse.e4.ui.model.workbench bundle.
+
+Package: libeclipse-e4-ui-progress-java
+Architecture: all
+Depends:
+ ${misc:Depends},
+ ${bundle:Depends},
+ libatinject-jsr330-api-java,
+ libeclipse-core-commands-java,
+ libeclipse-core-jobs-java,
+ libeclipse-core-runtime-java,
+ libeclipse-e4-core-contexts-java,
+ libeclipse-e4-core-di-java,
+ libeclipse-e4-core-di-annotations-java,
+ libeclipse-e4-core-services-java,
+ libequinox-common-java,
+ libequinox-preferences-java,
+ libicu4j-java,
+ libswt-gtk-4-java
+Description: Eclipse e4 Progress View
+ The Eclipse Platform UI project is responsible for the runtime, user interface
+ and help components of Eclipse. Platform UI provides the basic building blocks
+ to create the Eclipse IDE and other Eclipse based applications called Rich
+ Client Platform (RCP).
+ .
+ This package contains the org.eclipse.e4.ui.progress bundle.
+
+Package: libeclipse-e4-ui-services-java
+Architecture: all
+Depends:
+ ${misc:Depends},
+ ${bundle:Depends},
+ libatinject-jsr330-api-java,
+ libeclipse-e4-core-contexts-java,
+ libeclipse-e4-core-di-java,
+ libeclipse-e4-core-di-annotations-java,
+ libeclipse-osgi-services-java,
+ libxml-commons-external-java
+Description: Eclipse UI Application Services
+ The Eclipse Platform UI project is responsible for the runtime, user interface
+ and help components of Eclipse. Platform UI provides the basic building blocks
+ to create the Eclipse IDE and other Eclipse based applications called Rich
+ Client Platform (RCP).
+ .
+ This package contains the org.eclipse.e4.ui.services bundle.
+
+Package: libeclipse-e4-ui-swt-gtk-java
+Architecture: all
+Depends:
+ ${misc:Depends},
+ ${bundle:Depends},
+ libatinject-jsr330-api-java,
+ libeclipse-e4-core-services-java,
+ libeclipse-osgi-services-java,
+ libswt-gtk-4-java (>= 4.7.3)
+Description: Eclipse UI GTK Enhancements
+ The Eclipse Platform UI project is responsible for the runtime, user interface
+ and help components of Eclipse. Platform UI provides the basic building blocks
+ to create the Eclipse IDE and other Eclipse based applications called Rich
+ Client Platform (RCP).
+ .
+ This package contains the org.eclipse.e4.ui.swt.gtk bundle.
+
+Package: libeclipse-e4-ui-widgets-java
+Architecture: all
+Depends: ${misc:Depends}, ${bundle:Depends}, libswt-gtk-4-java (>= 4.7.3)
+Description: Eclipse UI Custom widgets
+ The Eclipse Platform UI project is responsible for the runtime, user interface
+ and help components of Eclipse. Platform UI provides the basic building blocks
