=== debian/control ===
--- 
+++ 
@@ -40,7 +40,7 @@
  libjaxb-java,
  libswt-gtk-4-java (>= 4.9),
  libxml-commons-external-java
-Standards-Version: 4.2.1
+Standards-Version: 4.3.0
 Vcs-Git: https://salsa.debian.org/java-team/eclipse-platform-ui.git
 Vcs-Browser: https://salsa.debian.org/java-team/eclipse-platform-ui
 Homepage: https://www.eclipse.org/eclipse/platform-ui/
