## eclipse-platform-ui 4.12

=== debian/changelog ===
eclipse-platform-ui (4.12-1) unstable; urgency=medium

  * New upstream release
    - Removed the patch (fixed upstream)
    - Updated the bundle dependencies
    - Depend on eclipse-debian-helper (>= 1.7) to handle the pomless bundles

 -- Emmanuel Bourg <ebourg@apache.org>  Wed, 17 Jul 2019 23:02:39 +0200

eclipse-platform-ui (4.11-1) unstable; urgency=medium

  * New upstream release
    - Refreshed the patch
    - Updated the bundle dependencies
  * Standards-Version updated to 4.4.0

 -- Emmanuel Bourg <ebourg@apache.org>  Thu, 11 Jul 2019 10:58:43 +0200
