=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends:
  debhelper (>= 11~),
  default-jdk,
- eclipse-debian-helper,
+ eclipse-debian-helper (>= 1.7),
  libatinject-jsr330-api-java,
  libcommons-jxpath-java,
  libeclipse-core-commands-java,
@@ -40,7 +40,7 @@
  libjaxb-java,
  libswt-gtk-4-java (>= 4.9),
  libxml-commons-external-java
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Vcs-Git: https://salsa.debian.org/java-team/eclipse-platform-ui.git
 Vcs-Browser: https://salsa.debian.org/java-team/eclipse-platform-ui
 Homepage: https://www.eclipse.org/eclipse/platform-ui/
