## eclipse-platform-ui 4.16

=== debian/changelog ===
eclipse-platform-ui (4.16-3) unstable; urgency=medium

  * Team upload.
  * Source only upload.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Thu, 23 Jul 2020 19:26:59 +0100

eclipse-platform-ui (4.16-2) unstable; urgency=medium

  * Team upload.
  * Install Apache notice files.
  * Update compat level to 13.
  * New binary package libeclipse-ui-navigator-resources-java.
  * New binary package libeclipse-ui-themes-java.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Sat, 18 Jul 2020 00:22:45 +0100

eclipse-platform-ui (4.16-1) unstable; urgency=medium

  * New upstream release
    - Updated the bundle dependencies

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 29 Jun 2020 00:05:07 +0200

eclipse-platform-ui (4.15-2) unstable; urgency=medium

  * Source upload

 -- Emmanuel Bourg <ebourg@apache.org>  Sat, 06 Jun 2020 17:13:13 +0200

eclipse-platform-ui (4.15-1) unstable; urgency=medium

  * New upstream release
    - Build the new org.eclipse.e4.ui.ide bundle
    - Depend on libeclipse-core-runtime-java (>= 3.17)
    - Updated the bundle dependencies
  * Standards-Version updated to 4.5.0
  * Switch to debhelper level 12

 -- Emmanuel Bourg <ebourg@apache.org>  Sun, 26 Apr 2020 23:25:31 +0200
