=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
 Uploaders: Emmanuel Bourg <ebourg@apache.org>
 Build-Depends:
- debhelper (>= 11~),
+ debhelper-compat (= 13),
  default-jdk,
  eclipse-debian-helper (>= 1.7),
  libatinject-jsr330-api-java,
@@ -16,7 +16,7 @@
  libeclipse-core-jobs-java,
  libeclipse-core-net-java,
  libeclipse-core-resources-java,
- libeclipse-core-runtime-java,
+ libeclipse-core-runtime-java (>= 3.17),
  libeclipse-e4-core-contexts-java (>= 1.7.0),
  libeclipse-e4-core-di-annotations-java,
  libeclipse-e4-core-di-extensions-java,
@@ -39,8 +39,10 @@
  libicu4j-java,
  libjaxb-java,
  libswt-gtk-4-java (>= 4.9),
- libxml-commons-external-java
-Standards-Version: 4.4.0
+ libxml-commons-external-java,
+ libeclipse-ltk-core-refactoring-java,
+ libeclipse-ltk-ui-refactoring-java
+Standards-Version: 4.5.0
 Vcs-Git: https://salsa.debian.org/java-team/eclipse-platform-ui.git
 Vcs-Browser: https://salsa.debian.org/java-team/eclipse-platform-ui
 Homepage: https://www.eclipse.org/eclipse/platform-ui/
@@ -121,7 +123,7 @@
 
 Package: libeclipse-e4-emf-xpath-java
 Architecture: all
-Depends: ${misc:Depends}, ${bundle:Depends}
+Depends: ${misc:Depends}, ${bundle:Depends}, libequinox-common-java
 Description: Eclipse EMF XPath
  The Eclipse Platform UI project is responsible for the runtime, user interface
  and help components of Eclipse. Platform UI provides the basic building blocks
@@ -229,6 +231,7 @@
  ${misc:Depends},
  ${bundle:Depends},
  libeclipse-core-jobs-java,
+ libeclipse-core-runtime-java,
  libequinox-common-java,
  libicu4j-java,
  libswt-gtk-4-java (>= 4.7.3)
@@ -239,6 +242,23 @@
  Client Platform (RCP).
  .
  This package contains the org.eclipse.e4.ui.dialogs bundle.
+
+Package: libeclipse-e4-ui-ide-java
+Architecture: all
+Depends:
+ ${misc:Depends},
+ ${bundle:Depends},
+ libeclipse-core-jobs-java,
+ libeclipse-core-resources-java,
+ libeclipse-core-runtime-java,
+ libequinox-common-java
+Description: Eclipse e4 IDE UI
+ The Eclipse Platform UI project is responsible for the runtime, user interface
+ and help components of Eclipse. Platform UI provides the basic building blocks
+ to create the Eclipse IDE and other Eclipse based applications called Rich
+ Client Platform (RCP).
+ .
+ This package contains the org.eclipse.e4.ui.ide bundle.
 
 Package: libeclipse-e4-ui-model-workbench-java
 Architecture: all
@@ -311,18 +331,3 @@
  libatinject-jsr330-api-java,
  libeclipse-e4-core-services-java,
  libeclipse-osgi-services-java,
- libswt-gtk-4-java (>= 4.7.3)
-Description: Eclipse UI GTK Enhancements
- The Eclipse Platform UI project is responsible for the runtime, user interface
- and help components of Eclipse. Platform UI provides the basic building blocks
- to create the Eclipse IDE and other Eclipse based applications called Rich
- Client Platform (RCP).
- .
- This package contains the org.eclipse.e4.ui.swt.gtk bundle.
-
-Package: libeclipse-e4-ui-widgets-java
-Architecture: all
-Depends: ${misc:Depends}, ${bundle:Depends}, libswt-gtk-4-java (>= 4.7.3)
-Description: Eclipse UI Custom widgets
- The Eclipse Platform UI project is responsible for the runtime, user interface
- and help components of Eclipse. Platform UI provides the basic building blocks
