## eclipse-platform-ui 4.18

=== debian/changelog ===
eclipse-platform-ui (4.18-2) unstable; urgency=medium

  * Fixed the build failure due to the missing eclipse-osgi-services dependency

 -- Emmanuel Bourg <ebourg@apache.org>  Thu, 04 Feb 2021 10:56:02 +0100

eclipse-platform-ui (4.18-1) unstable; urgency=medium

  * New upstream release
    - Depend on Java 11
  * Standards-Version updated to 4.5.1

 -- Emmanuel Bourg <ebourg@apache.org>  Sun, 27 Dec 2020 15:48:52 +0100

eclipse-platform-ui (4.17-2) unstable; urgency=medium

  * Rebuild from sources

 -- Emmanuel Bourg <ebourg@apache.org>  Wed, 21 Oct 2020 21:40:42 +0200

eclipse-platform-ui (4.17-1) unstable; urgency=medium

  * New upstream release
    - Build the new org.eclipse.jface.notifications bundle
    - Depend on libequinox-common-java (>= 3.13)
    - Depend on libeclipse-core-expressions-java (>= 3.7)
    - New dependency on libjna-platform-java
    - Removed the patch
  * Added the missing dependencies for libeclipse-e4-ui-workbench-java

 -- Emmanuel Bourg <ebourg@apache.org>  Wed, 07 Oct 2020 20:49:55 +0200

eclipse-platform-ui (4.16-4) unstable; urgency=medium

  * Team upload.
  * Add upstream patch to fix FTBFS.
    - API of org.eclipse.core.expression were promoted.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Tue, 06 Oct 2020 20:56:43 +0100
