=== debian/control ===
--- 
+++ 
@@ -5,13 +5,13 @@
 Uploaders: Emmanuel Bourg <ebourg@apache.org>
 Build-Depends:
  debhelper-compat (= 13),
- default-jdk,
+ default-jdk (>= 2:1.11),
  eclipse-debian-helper (>= 1.7),
  libatinject-jsr330-api-java,
  libcommons-jxpath-java,
  libeclipse-core-commands-java,
  libeclipse-core-contenttype-java,
- libeclipse-core-expressions-java,
+ libeclipse-core-expressions-java (>= 3.7),
  libeclipse-core-filesystem-java,
  libeclipse-core-jobs-java,
  libeclipse-core-net-java,
@@ -30,19 +30,21 @@
  libeclipse-osgi-services-java,
  libequinox-app-java,
  libequinox-bidi-java,
- libequinox-common-java,
+ libequinox-common-java (>= 3.13),
  libequinox-p2-engine-java,
  libequinox-p2-metadata-java,
  libequinox-preferences-java,
  libequinox-registry-java,
+ libgeronimo-annotation-1.3-spec-java,
  libgeronimo-osgi-support-java,
  libicu4j-java,
  libjaxb-java,
+ libjna-platform-java,
  libswt-gtk-4-java (>= 4.9),
  libxml-commons-external-java,
  libeclipse-ltk-core-refactoring-java,
  libeclipse-ltk-ui-refactoring-java
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Git: https://salsa.debian.org/java-team/eclipse-platform-ui.git
 Vcs-Browser: https://salsa.debian.org/java-team/eclipse-platform-ui
 Homepage: https://www.eclipse.org/eclipse/platform-ui/
@@ -328,6 +330,3 @@
 Depends:
  ${misc:Depends},
  ${bundle:Depends},
- libatinject-jsr330-api-java,
- libeclipse-e4-core-services-java,
- libeclipse-osgi-services-java,
