## eclipse-platform-ui 4.21

=== debian/changelog ===
eclipse-platform-ui (4.21-1) unstable; urgency=medium

  * New upstream release
    - Build org.eclipse.jface with Java 11
  * Standards-Version updated to 4.6.0.1
  * Track the new releases from git.eclipse.org (the GitHub repository is gone)

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 18 Oct 2021 10:00:04 +0200
