=== debian/control ===
--- 
+++ 
@@ -44,7 +44,7 @@
  libxml-commons-external-java,
  libeclipse-ltk-core-refactoring-java,
  libeclipse-ltk-ui-refactoring-java
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0.1
 Vcs-Git: https://salsa.debian.org/java-team/eclipse-platform-ui.git
 Vcs-Browser: https://salsa.debian.org/java-team/eclipse-platform-ui
 Homepage: https://www.eclipse.org/eclipse/platform-ui/
