=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

%:
	dh $@ --buildsystem=eclipse_bundles

override_dh_gencontrol:
	# Use the bundle versions as package versions
	awk 'system("dh_gencontrol -p"$$4" -- -v"$$2"+eclipse$(DEB_VERSION)")' debian/bundles.properties

execute_before_dh_auto_configure:
	# add a dummy src folder to satisfy the helper
	mkdir -p bundles/org.eclipse.ui.themes/src
