=== debian/watch ===
version=4
opts="mode=git,repack,compression=xz,uversionmangle=s/_/./g" \
https://git.eclipse.org/r/platform/eclipse.platform.ui refs/tags/R(\d{1,2}_[\d_]+[az]?)
