## eclipse-platform-ui 4.23

=== debian/changelog ===
eclipse-platform-ui (4.23-1) unstable; urgency=medium

  * New upstream release
    - Build more bundles with Java 11
    - Ignore the missing NoReference annotation
  * Standards-Version updated to 4.6.1
  * Track and download the new releases from GitHub

 -- Emmanuel Bourg <ebourg@apache.org>  Fri, 09 Dec 2022 08:38:48 +0100
