## eclipse-platform-ui 4.26

=== debian/changelog ===
eclipse-platform-ui (4.26-1) unstable; urgency=medium

  * New upstream release
    - Build more bundles with Java 11
    - Depend on libeclipse-core-jobs-java (>= 3.13)
    - Depend on libeclipse-core-resources-java (>= 3.18)
    - Updated the bundle dependencies
  * Standards-Version updated to 4.6.2

 -- Emmanuel Bourg <ebourg@apache.org>  Wed, 04 Jan 2023 01:08:26 +0100
