=== debian/control ===
--- 
+++ 
@@ -13,9 +13,9 @@
  libeclipse-core-contenttype-java,
  libeclipse-core-expressions-java (>= 3.7),
  libeclipse-core-filesystem-java,
- libeclipse-core-jobs-java,
+ libeclipse-core-jobs-java (>= 3.13),
  libeclipse-core-net-java,
- libeclipse-core-resources-java,
+ libeclipse-core-resources-java (>= 3.18),
  libeclipse-core-runtime-java (>= 3.17),
  libeclipse-e4-core-contexts-java (>= 1.7.0),
  libeclipse-e4-core-di-annotations-java,
@@ -44,7 +44,7 @@
  libxml-commons-external-java,
  libeclipse-ltk-core-refactoring-java,
  libeclipse-ltk-ui-refactoring-java
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Git: https://salsa.debian.org/java-team/eclipse-platform-ui.git
 Vcs-Browser: https://salsa.debian.org/java-team/eclipse-platform-ui
 Homepage: https://www.eclipse.org/eclipse/platform-ui/
@@ -232,7 +232,7 @@
 Depends:
  ${misc:Depends},
  ${bundle:Depends},
- libeclipse-core-jobs-java,
+ libeclipse-core-jobs-java (>= 3.13),
  libeclipse-core-runtime-java,
  libequinox-common-java,
  libicu4j-java,
@@ -250,7 +250,7 @@
 Depends:
  ${misc:Depends},
  ${bundle:Depends},
- libeclipse-core-jobs-java,
+ libeclipse-core-jobs-java (>= 3.13),
  libeclipse-core-resources-java,
  libeclipse-core-runtime-java,
  libequinox-common-java
@@ -288,7 +288,7 @@
  ${bundle:Depends},
  libatinject-jsr330-api-java,
  libeclipse-core-commands-java,
- libeclipse-core-jobs-java,
+ libeclipse-core-jobs-java (>= 3.13),
  libeclipse-core-runtime-java,
  libeclipse-e4-core-contexts-java,
  libeclipse-e4-core-di-java,
@@ -328,5 +328,3 @@
 Package: libeclipse-e4-ui-swt-gtk-java
 Architecture: all
 Depends:
- ${misc:Depends},
- ${bundle:Depends},
