## eclipse-platform-ui 4.28

=== debian/changelog ===
eclipse-platform-ui (4.28-1) unstable; urgency=medium

  * New upstream release
    - Depend on libswt-gtk-4-java (>= 4.28)
    - Depend on Java 17
    - Updated the bundle dependencies
  * Standards-Version updated to 4.7.0

 -- Emmanuel Bourg <ebourg@apache.org>  Tue, 16 Jul 2024 09:46:39 +0200
