=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Emmanuel Bourg <ebourg@apache.org>
 Build-Depends:
  debhelper-compat (= 13),
- default-jdk (>= 2:1.11),
+ default-jdk (>= 2:1.17),
  eclipse-debian-helper (>= 1.7),
  libatinject-jsr330-api-java,
  libcommons-jxpath-java,
@@ -40,11 +40,11 @@
  libicu4j-java,
  libjaxb-java,
  libjna-platform-java,
- libswt-gtk-4-java (>= 4.9),
+ libswt-gtk-4-java (>= 4.28),
  libxml-commons-external-java,
  libeclipse-ltk-core-refactoring-java,
  libeclipse-ltk-ui-refactoring-java
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Git: https://salsa.debian.org/java-team/eclipse-platform-ui.git
 Vcs-Browser: https://salsa.debian.org/java-team/eclipse-platform-ui
 Homepage: https://www.eclipse.org/eclipse/platform-ui/
