## eclipse-platform-ui 4.29

=== debian/changelog ===
eclipse-platform-ui (4.29-1) unstable; urgency=medium

  * New upstream release
    - Build more bundles with Java 17
    - Build the bundles migrated from src:eclipse-platform-text
    - Depend on libeclipse-core-runtime-java (>= 3.29)

 -- Emmanuel Bourg <ebourg@apache.org>  Sun, 21 Jul 2024 16:48:37 +0200
