=== debian/control ===
--- 
+++ 
@@ -9,6 +9,7 @@
  eclipse-debian-helper (>= 1.7),
  libatinject-jsr330-api-java,
  libcommons-jxpath-java,
+ libeclipse-compare-java,
  libeclipse-core-commands-java,
  libeclipse-core-contenttype-java,
  libeclipse-core-expressions-java (>= 3.7),
@@ -16,7 +17,7 @@
  libeclipse-core-jobs-java (>= 3.13),
  libeclipse-core-net-java,
  libeclipse-core-resources-java (>= 3.18),
- libeclipse-core-runtime-java (>= 3.17),
+ libeclipse-core-runtime-java (>= 3.29),
  libeclipse-e4-core-contexts-java (>= 1.7.0),
  libeclipse-e4-core-di-annotations-java,
  libeclipse-e4-core-di-extensions-java,
@@ -25,7 +26,9 @@
  libeclipse-e4-core-services-java,
  libeclipse-emf-ecore-xmi-java,
  libeclipse-help-java,
- libeclipse-jface-text-java,
+ libeclipse-jdt-annotation-java,
+ libeclipse-ltk-core-refactoring-java,
+ libeclipse-ltk-ui-refactoring-java,
  libeclipse-osgi-java,
  libeclipse-osgi-services-java,
  libequinox-app-java,
@@ -41,9 +44,7 @@
  libjaxb-java,
  libjna-platform-java,
  libswt-gtk-4-java (>= 4.28),
- libxml-commons-external-java,
- libeclipse-ltk-core-refactoring-java,
- libeclipse-ltk-ui-refactoring-java
+ libxml-commons-external-java
 Standards-Version: 4.7.0
 Vcs-Git: https://salsa.debian.org/java-team/eclipse-platform-ui.git
 Vcs-Browser: https://salsa.debian.org/java-team/eclipse-platform-ui
@@ -174,7 +175,7 @@
 Depends:
  ${misc:Depends},
  ${bundle:Depends},
- libeclipse-core-runtime-java,
+ libeclipse-core-runtime-java (>= 3.29),
  libequinox-common-java,
  libequinox-preferences-java,
  libequinox-registry-java,
@@ -325,6 +326,3 @@
  .
  This package contains the org.eclipse.e4.ui.services bundle.
 
-Package: libeclipse-e4-ui-swt-gtk-java
-Architecture: all
-Depends:
